const inputProps = {
  defaultValue: [String, Number],
  onlyDisplay: Boolean,
  border: {
    type: String,
    validator: (val) => {
      return ["none", "bottom", "all"].includes(val);
    },
    default: "all"
  },
  width: {
    type: [String, Number],
    default: "100%"
  },
  copy: {
    type: [Boolean, Object],
    default: false
  }
};

export { inputProps };
//# sourceMappingURL=type.mjs.map
