const selectProps = {
  arrayName: String,
  group: Boolean,
  defaultValue: String,
  immediate: {
    type: Boolean,
    default: true
  },
  onlyDisplay: Boolean,
  optionKey: {
    type: String,
    default: "value"
  },
  width: [String, Number],
  modelValue: [String, Array, Object, Number],
  api: {
    type: Function,
    validator(val) {
      const allow = ["users", "groups", "ips", "shterm"];
      return typeof val === "function" || allow.includes(val);
    }
  },
  options: {
    type: Array
  },
  customLabel: {
    type: String
  },
  customValue: {
    type: String
  },
  itemDisabled: Function
};

export { selectProps };
//# sourceMappingURL=type.mjs.map
