const tableProps = {
  arrayName: {
    type: String,
    default: ""
  },
  colspanOptions: {
    type: Object,
    default: () => ({})
  },
  padding: {
    type: Boolean,
    default: true
  },
  custom: Boolean,
  data: Array,
  filter: Function,
  immediate: {
    type: Boolean,
    default: true
  },
  pagination: Boolean,
  api: Function,
  modelValue: {
    type: Object,
    default: () => ({ page: 1, rows: 20 })
  },
  config: {
    type: Array,
    default: () => []
  },
  total: {
    type: Number,
    default: 0
  },
  fixXScroll: Boolean,
  simple: Boolean,
  load: {
    type: Boolean,
    default: true
  },
  activatedUpdate: {
    type: Boolean
  }
};

export { tableProps };
//# sourceMappingURL=type.mjs.map
