'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var type = require('./type.js');

var MotionGroup = vue.defineComponent({
  name: "BcMotionGroup",
  props: type.motionGroupProps,
  setup(props, context) {
    var _a, _b;
    const motionList = (_b = (_a = context.slots).default) == null ? void 0 : _b.call(_a);
    motionList == null ? void 0 : motionList.forEach((item, index) => {
      if (item.type.name === "BcMotion") {
        item.props.delay = `${props.delay + props.step * index}s`;
      }
    });
    return () => vue.createVNode(vue.Fragment, null, [motionList == null ? void 0 : motionList.map((item) => item)]);
  }
});

exports["default"] = MotionGroup;
//# sourceMappingURL=CssMotion.group.js.map
