'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var index$1 = require('./components/button/index.js');
var index$2 = require('./components/input/index.js');
var index$3 = require('./components/table/index.js');
var index$4 = require('./components/select/index.js');
var index$5 = require('./components/search/index.js');
var index$6 = require('./components/dialog/index.js');
var index$7 = require('./components/upload/index.js');
var index$8 = require('./components/clipboard/index.js');
var index$9 = require('./components/motion/index.js');
var index$a = require('./components/motionGroup/index.js');
var index$b = require('./components/svgIcon/index.js');
var index$c = require('./components/configProvider/index.js');
var index = require('./components/status/index.js');
var index$d = require('./components/date-picker/index.js');

var components = [
  index.BcStatus,
  index$1.BcButton,
  index$2.BcInput,
  index$3.BcTable,
  index$4.BcSelect,
  index$5.BcSearch,
  index$6.BcDialog,
  index$7.BcUpload,
  index$8.BcClipboard,
  index$9.BcMotion,
  index$a.BcMotionGroup,
  index$b.BcSvgIcon,
  index$c.BcConfigProvider,
  index$d.BcDatePicker
];

exports["default"] = components;
//# sourceMappingURL=component.js.map
