'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var pluginVue_exportHelper = require('../../../_virtual/plugin-vue_export-helper.js');

const _sfc_main = vue.defineComponent({
  name: "BcStatus",
  props: {
    type: {
      type: String,
      default: "primary"
    }
  },
  setup(props) {
    const iconClass = vue.computed(() => {
      return `bc-status--${props.type}`;
    });
    return {
      iconClass
    };
  }
});
const _hoisted_1 = { class: "bc-status" };
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1, [
    vue.createElementVNode("i", {
      class: vue.normalizeClass(["bc-status--icon", _ctx.iconClass])
    }, null, 2),
    vue.renderSlot(_ctx.$slots, "default")
  ]);
}
var Status = /* @__PURE__ */ pluginVue_exportHelper["default"](_sfc_main, [["render", _sfc_render]]);

exports["default"] = Status;
//# sourceMappingURL=index.js.map
