'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tools = require('./tools.js');
var renderUnit = require('./renderUnit.js');
var useConfigInject = require('../hooks/useConfigInject.js');

function compInstall(comp) {
  comp.install = (app) => {
    const _comp = comp;
    app.component(_comp.name, _comp);
  };
  return comp;
}

exports.copyText = tools.copyText;
exports.extractObject = tools.extractObject;
exports.getValue = tools.getValue;
exports.setValue = tools.setValue;
exports.toCamel = tools.toCamel;
exports.renderUnit = renderUnit.renderUnit;
exports.useConfigInject = useConfigInject.useConfigInject;
exports.compInstall = compInstall;
//# sourceMappingURL=index.js.map
